XSYSINFO(1x)

NAME
xsysinfo - Display Linux kernel parameters in graphical form

SYNOPSIS
xsysinfo [-help] [-update n] [-[no]title] [-[no]labels] [-[no]loadavg] [-[no]load] [-[no]mem] [-[no]swap] [-[no]smp]

DESCRIPTION
Xsysinfo is an X application to display some Linux kernel parameters in graphical form. It is like a mix of top, free and xload with the difference that the values are shown in form of a horizontal bar. The displayed values are: CPU load average, CPU load, memory and swap sizes (details see below).

OPTIONS

-update n
    Set update rate to n milli-seconds

-title
    Show title string

-notitle
    Don't show title string

-labels
    Show gauge labels

-nolabels
    Don't show gauge labels

-loadavg
    Show CPU load average value

-noloadavg
    Don't show CPU load average value

-load
    Show CPU load value

-noload
    Don't show CPU load value

-smp
    Show separate SMP loads

-nosmp
    Don't show separate SMP loads.

-mem
    Show memory info

-nomem
    Don't show memory info

-swap
    Show swap info

-noswap
    Don't show swap info

-help
    Display options

DISPLAY
Xsysinfo display the following values:

CPU load average
    CPU load average between 0.000-8.000. The gauge's bar is subdivided into segments, where one segment represents a load value of 1.0. The bar's full length is automatically scaled, depending on the displayed value.

CPU load
    percentage CPU load time to CPU idle time subdivided in three segments: user load, system load and nice load. On an SMP system the -smp option replaces the single total load meter with a separate meter for each processor.

Memory
    The memory gauge's bar is subdivided into two segments with the amount of physical memory, which is used by processes on the left and physical memory used for the page and buffer cache on the right. The length of the whole bar, which is the sum of these two values, shows the amount of physical memory currently used by the system.

Swap
    The percentage of swap space used by the system to total amount of swap space.

AUTHORS
Xsyinfo is written by Gabor Herr <herr@iti.informatik.th-darmstadt.de> and currently maintained by Ronald Wahl <ronald.wahl@informatik.tu-chemnitz.de>.

This manual page was created by Roland Rosenfeld <roland@spinnaker.de> for the Debian GNU/Linux system (but may be used by others).